import 'dart:async';
import 'dart:typed_data';
import 'package:flutter/services.dart';


class CccFplugin {
  static const MethodChannel _channel = const MethodChannel('ccc_fplugin');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<void> aesTest() async {
  	await _channel.invokeMethod('aesTest');
  }

  static Future<Uint8List> aesEnc(Uint8List iv, Uint8List key, String pText) async {
    final Uint8List eData = await _channel.invokeMethod('aesEnc', {"iv":iv, "key":key, "pText":pText});
    return eData;
  }

  static Future<Uint8List> aesEncUint(Uint8List iv, Uint8List key, Uint8List pData) async {
    final Uint8List eData = await _channel.invokeMethod('aesEncUint', {"iv":iv, "key":key, "pData":pData});
    return eData;
  }

  static Future<Uint8List> aesDec(Uint8List iv, Uint8List key, Uint8List cData) async {
    final Uint8List pData = await _channel.invokeMethod('aesDec', {"iv":iv, "key":key, "cData":cData});
    return pData;
  }

}
